import 'dart:async';

import 'package:flutter/services.dart';
import 'package:meta/meta.dart';

class HlsPlayer {
  static const MethodChannel _channel = const MethodChannel('hls_player');

  static Future<String> initialize({@Required('url must') String url}) async {
    final String version = await _channel.invokeMethod(
      'initialize',
      <String, dynamic>{
        'url': url,
      },
    );
    return version;
  }
}
